#ifndef DISPLAY_H
#define DISPLAY_H
#include <SSD1306Wire.h>

#define DISPLAY_BUFFER_SIZE 30

class Display
{
    private:
        SSD1306Wire* display;
        int readerid;
        char ReaderInfo[DISPLAY_BUFFER_SIZE] = "";
        char Title[DISPLAY_BUFFER_SIZE] = "Boot ...";
        char Info[DISPLAY_BUFFER_SIZE] = "";
        
    public:
        Display(int sda, int scl, int readerid);
        void createReaderInfo(char* state);
        void clearReaderInfo();
        void writeReaderInfo(char* text);
        void writeTitle(char* text);
        void writeInfo(char* text);
        void updateDisplay();
        void updateByMQTT(char* topic, byte* payload, unsigned int length);
};
#endif